# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Class/DBI.pm) perl(DBI.pm) perl(Text/Balanced.pm) perl-devel perl-pod perl-podlators perldoc
# END SourceDeps(oneline)
Name:           perl-Class-DBI-Loader
Version:        0.34
Release:        alt1_16
Summary:        Dynamic definition of Class::DBI sub classes
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Class-DBI-Loader
Source0:        http://search.cpan.org/CPAN/authors/id/D/DM/DMAKI/Class-DBI-Loader-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Lingua/EN/Inflect.pm) perl(Test/Pod/Coverage.pm) perl(Test/Pod.pm)
BuildRequires:  perl(Class/DBI/mysql.pm) perl(Class/DBI/Pg.pm) perl(Class/DBI/SQLite.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Pod/Perldoc.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Class-DBI-Loader-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
TEST_POD=1 make test

%files
%doc Artistic COPYING Changes
%{perl_vendor_privlib}/Class/DBI

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_16
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_14
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_12
- fc import

